### Custom Keyboard Maestro Plug-in

#### NAME
- Encode URI Component

#### VERSION
- 0.1

#### SYNOPSIS
	
- Applies the standard JavaScript function [encodeURIComponent()](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/encodeURIComponent) to text or the clipboard.
- Encode URI Component percent-encodes **all** characters except the following:
	- alphabetic
	- decimal digits
	- `- _ . ! ~ * ' ( )`
- In other words it percent-encodes a larger subset of characters than [Encode URI](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/encodeURI), which does the minimum to make a URI compliant with RFC 3986, and protects protocol prefixes like `http://` from being encoded.


#### REQUIREMENTS
- Yosemite
	- The underlying script is written in Javascript for Applications

#### INSTALLATION
- Drag the .zip file onto the Keyboard Maestro icon in the OS X toolbar.
- (if updating a previous version of the action, first manually remove the previous copy from the custom actions folder)
	- `~/Library/Application Support/Keyboard Maestro/Keyboard Maestro Actions`
		
#### CONTACT
- Rob Trew - Twitter @ComplexPoint